#import "MyTableView.h"
#import "PSFPController.h"

@implementation MyTableView

- (void)keyDown:(NSEvent *)theEvent
{
	//NSLog(@"%x",[theEvent keyCode]);
	if([theEvent keyCode] == 0x33) {
		[controller removeSelectedFile: self];
	}
	else if([theEvent keyCode] == 0x75) {
		[controller removeSelectedFile: self];
	}
	else if([theEvent keyCode] == 0x7b) {
		[controller reverse: nil];
	}
	else if([theEvent keyCode] == 0x7c) {
		[controller skip: nil];
	}
	else if([theEvent keyCode] == 0x24) {
		[controller onReturnKey: self];
	}
	else [super keyDown:theEvent];
	
}

- (void)textDidBeginEditing:(NSNotification *)aNotification
{
	[super textDidBeginEditing: aNotification];
}

- (void)textDidEndEditing:(NSNotification *)aNotification
{
	[super textDidEndEditing: aNotification];
	[controller endEdit];
}

- (BOOL)textShouldEndEditing:(NSText *)textObject
{
	NSString *name = [textObject string];
	if([name isEqualToString:@""]) {
		NSBeep();
		return NO;
	}
	if(![name isEqualToString:[controller selectedPlayList]] && [controller isUsedPlayListName: name]) {
		NSBeep();
		return NO;
	}
	return YES;
}

- (void)draggingExited:(id <NSDraggingInfo>)sender
{
	[super draggingExited: sender];
	[[NSCursor arrowCursor] set];
}

@end
